Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5117)
@@ -10,5 +10,5 @@
 
   USE getparam, ONLY: ini_getparam, fin_getparam, getpar
-  USE Write_Field
+  USE lmdz_write_field
   USE netcdf, ONLY: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close, &
           nf90_inq_dimid, nf90_inquire_dimension, nf90_float, nf90_def_var, &
@@ -16,5 +16,5 @@
           nf90_close, nf90_inq_varid, nf90_get_var, nf90_noerr, nf90_clobber, &
           nf90_64bit_offset, nf90_inq_dimid, nf90_inquire_dimension, nf90_put_var
-  USE pres2lev_mod, ONLY: pres2lev
+  USE lmdz_pres2lev, ONLY: pres2lev
 
   IMPLICIT NONE
@@ -72,5 +72,5 @@
   SUBROUTINE guide_init
 
-    use netcdf, ONLY: nf90_noerr
+    USE netcdf, ONLY: nf90_noerr
     USE control_mod, ONLY: day_step
     USE serre_mod, ONLY: grossismx
@@ -101,5 +101,5 @@
     CALL getpar('guide_add',.FALSE.,guide_add,'forçage constant?')
     CALL getpar('guide_zon',.FALSE.,guide_zon,'guidage moy zonale')
-    if (guide_zon .and. abs(grossismx - 1.) > 0.01) &
+    IF (guide_zon .AND. abs(grossismx - 1.) > 0.01) &
          CALL abort_gcm("guide_init", &
          "zonal nudging requires grid regular in longitude", 1)
@@ -173,8 +173,8 @@
 ! ---------------------------------------------
     ncidpl=-99
-    if (guide_plevs==1) THEN
-       if (ncidpl==-99) THEN
+    IF (guide_plevs==1) THEN
+       IF (ncidpl==-99) THEN
           rcod=nf90_open('apbp.nc',nf90_nowrite, ncidpl)
-          if (rcod/=nf90_noerr) THEN
+          IF (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file apbp.nc'
              CALL abort_gcm(modname,abort_message,1)
@@ -182,7 +182,7 @@
        endif
     elseif (guide_plevs==2) THEN
-       if (ncidpl==-99) THEN
+       IF (ncidpl==-99) THEN
           rcod=nf90_open('P.nc',nf90_nowrite,ncidpl)
-          if (rcod/=nf90_noerr) THEN
+          IF (rcod/=nf90_noerr) THEN
              abort_message=' Nudging error -> no file P.nc'
              CALL abort_gcm(modname,abort_message,1)
@@ -191,7 +191,7 @@
 
     elseif (guide_u) THEN
-           if (ncidpl==-99) THEN
+           IF (ncidpl==-99) THEN
                rcod=nf90_open('u.nc',nf90_nowrite,ncidpl)
-               if (rcod/=nf90_noerr) THEN
+               IF (rcod/=nf90_noerr) THEN
                   CALL abort_gcm(modname, &
                        ' Nudging error -> no file u.nc',1)
@@ -200,7 +200,7 @@
 
     elseif (guide_v) THEN
-           if (ncidpl==-99) THEN
+           IF (ncidpl==-99) THEN
                rcod=nf90_open('v.nc',nf90_nowrite,ncidpl)
-               if (rcod/=nf90_noerr) THEN
+               IF (rcod/=nf90_noerr) THEN
                   CALL abort_gcm(modname, &
                        ' Nudging error -> no file v.nc',1)
@@ -208,7 +208,7 @@
            endif
     elseif (guide_T) THEN
-           if (ncidpl==-99) THEN
+           IF (ncidpl==-99) THEN
                rcod=nf90_open('T.nc',nf90_nowrite,ncidpl)
-               if (rcod/=nf90_noerr) THEN
+               IF (rcod/=nf90_noerr) THEN
                   CALL abort_gcm(modname, &
                        ' Nudging error -> no file T.nc',1)
@@ -216,7 +216,7 @@
            endif
     elseif (guide_Q) THEN
-           if (ncidpl==-99) THEN
+           IF (ncidpl==-99) THEN
                rcod=nf90_open('hur.nc',nf90_nowrite, ncidpl)
-               if (rcod/=nf90_noerr) THEN
+               IF (rcod/=nf90_noerr) THEN
                   CALL abort_gcm(modname, &
                        ' Nudging error -> no file hur.nc',1)
@@ -406,5 +406,5 @@
         CALL tau2alpha(1,iip1,jjp1,factt,tau_min_Q,tau_max_Q,alpha_Q)
 ! correction de rappel dans couche limite
-        if (guide_BL) THEN
+        IF (guide_BL) THEN
              alpha_pcor(:)=1.
         else
@@ -502,5 +502,5 @@
       ! compute pressures at layer interfaces
       CALL pression(ip1jmp1,ap,bp,ps,p)
-      if (pressure_exner) THEN
+      IF (pressure_exner) THEN
         CALL exner_hyb(ip1jmp1,ps,p,pks,pk)
       else
@@ -515,11 +515,11 @@
     ENDIF
     
-    if (guide_u) THEN
-        if (guide_add) THEN
+    IF (guide_u) THEN
+        IF (guide_add) THEN
            f_add=(1.-tau)*ugui1+tau*ugui2
         else
            f_add=(1.-tau)*ugui1+tau*ugui2-ucov
         endif 
-        if (guide_zon) CALL guide_zonave(1,jjp1,llm,f_add)
+        IF (guide_zon) CALL guide_zonave(1,jjp1,llm,f_add)
         CALL guide_addfield(ip1jmp1,llm,f_add,alpha_u)
         IF (f_out) CALL guide_out("ua",jjp1,llm,(1.-tau)*ugui1+tau*ugui2)
@@ -529,11 +529,11 @@
     endif
 
-    if (guide_T) THEN
-        if (guide_add) THEN
+    IF (guide_T) THEN
+        IF (guide_add) THEN
            f_add=(1.-tau)*tgui1+tau*tgui2
         else
            f_add=(1.-tau)*tgui1+tau*tgui2-teta
         endif 
-        if (guide_zon) CALL guide_zonave(2,jjp1,llm,f_add)
+        IF (guide_zon) CALL guide_zonave(2,jjp1,llm,f_add)
         CALL guide_addfield(ip1jmp1,llm,f_add,alpha_T)
         IF (f_out) CALL guide_out("teta",jjp1,llm,f_add/factt)
@@ -541,11 +541,11 @@
     endif
 
-    if (guide_P) THEN
-        if (guide_add) THEN
+    IF (guide_P) THEN
+        IF (guide_add) THEN
            f_add(1:ip1jmp1,1)=(1.-tau)*psgui1+tau*psgui2
         else
            f_add(1:ip1jmp1,1)=(1.-tau)*psgui1+tau*psgui2-ps
         endif 
-        if (guide_zon) CALL guide_zonave(2,jjp1,1,f_add(1:ip1jmp1,1))
+        IF (guide_zon) CALL guide_zonave(2,jjp1,1,f_add(1:ip1jmp1,1))
         CALL guide_addfield(ip1jmp1,1,f_add(1:ip1jmp1,1),alpha_P)
 !        IF (f_out) CALL guide_out("ps",jjp1,1,f_add(1:ip1jmp1,1)/factt)
@@ -555,11 +555,11 @@
     endif
 
-    if (guide_Q) THEN
-        if (guide_add) THEN
+    IF (guide_Q) THEN
+        IF (guide_add) THEN
            f_add=(1.-tau)*qgui1+tau*qgui2
         else
            f_add=(1.-tau)*qgui1+tau*qgui2-q
         endif 
-        if (guide_zon) CALL guide_zonave(2,jjp1,llm,f_add)
+        IF (guide_zon) CALL guide_zonave(2,jjp1,llm,f_add)
         CALL guide_addfield(ip1jmp1,llm,f_add,alpha_Q)
         IF (f_out) CALL guide_out("q",jjp1,llm,f_add/factt)
@@ -567,11 +567,11 @@
     endif
 
-    if (guide_v) THEN
-        if (guide_add) THEN
+    IF (guide_v) THEN
+        IF (guide_add) THEN
            f_add(1:ip1jm,:)=(1.-tau)*vgui1+tau*vgui2
         else
            f_add(1:ip1jm,:)=(1.-tau)*vgui1+tau*vgui2-vcov
         endif 
-        if (guide_zon) CALL guide_zonave(2,jjm,llm,f_add(1:ip1jm,:))
+        IF (guide_zon) CALL guide_zonave(2,jjm,llm,f_add(1:ip1jm,:))
         CALL guide_addfield(ip1jm,llm,f_add(1:ip1jm,:),alpha_v)
         IF (f_out) CALL guide_out("v",jjm,llm,vcov)
@@ -670,8 +670,9 @@
   SUBROUTINE guide_interp(psi,teta)
   
-  use exner_hyb_m, ONLY: exner_hyb
-  use exner_milieu_m, ONLY: exner_milieu
-  use comconst_mod, ONLY: kappa, cpp
-  use comvert_mod, ONLY: preff, pressure_exner, bp, ap
+  USE exner_hyb_m, ONLY: exner_hyb
+  USE exner_milieu_m, ONLY: exner_milieu
+  USE comconst_mod, ONLY: kappa, cpp
+  USE comvert_mod, ONLY: preff, pressure_exner, bp, ap
+  USE lmdz_q_sat, ONLY: q_sat
   IMPLICIT NONE
 
@@ -729,5 +730,5 @@
 
 END IF
-    if (first) THEN
+    IF (first) THEN
         first=.FALSE.
         WRITE(*,*)trim(modname)//' : check vertical level order'
@@ -742,10 +743,10 @@
         enddo
         WRITE(*,*)trim(modname)//' invert ordering: invert_p=',invert_p
-        if (guide_u) THEN
+        IF (guide_u) THEN
             do l=1,nlevnc
               WRITE(*,*)trim(modname)//' U(',l,')=',unat2(1,1,l)
             enddo
         endif
-        if (guide_T) THEN
+        IF (guide_T) THEN
             do l=1,nlevnc
               WRITE(*,*)trim(modname)//' T(',l,')=',tnat2(1,1,l)
@@ -758,5 +759,5 @@
 ! -----------------------------------------------------------------
     CALL pression( ip1jmp1, ap, bp, psi, p )
-    if (pressure_exner) THEN
+    IF (pressure_exner) THEN
       CALL exner_hyb(ip1jmp1,psi,p,pks,pk)
     else
@@ -803,5 +804,5 @@
 ! Conversion en variables gcm (ucov, vcov...)
 ! -----------------------------------------------------------------
-    if (guide_P) THEN
+    IF (guide_P) THEN
         do j=1,jjp1
             do i=1,iim
@@ -921,6 +922,6 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
-    use comconst_mod, ONLY: pi
-    use serre_mod, ONLY: clon, clat, grossismx, grossismy
+    USE comconst_mod, ONLY: pi
+    USE serre_mod, ONLY: clon, clat, grossismx, grossismy
     
     IMPLICIT NONE
@@ -944,8 +945,8 @@
     REAL, DIMENSION (iip1,jjp1) :: dxdys,dxdyu
     REAL, DIMENSION (iip1,jjm)  :: dxdyv
-    real dxdy_
-    real zlat,zlon
-    real alphamin,alphamax,xi
-    integer i,j,ilon,ilat
+    REAL dxdy_
+    REAL zlat,zlon
+    REAL alphamin,alphamax,xi
+    INTEGER i,j,ilon,ilat
     CHARACTER(LEN=20),parameter :: modname="tau2alpha"
     CHARACTER (len = 80)   :: abort_message
@@ -962,5 +963,5 @@
             do j=1,pjm
                 do i=1,pim
-                    if (typ==2) THEN
+                    IF (typ==2) THEN
                        zlat=rlatu(j)*180./pi
                        zlon=rlonu(i)*180./pi
@@ -1037,5 +1038,5 @@
             enddo
             ! Calcul de gamma
-            if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) THEN
+            IF (abs(grossismx-1.)<0.1.OR.abs(grossismy-1.)<0.1) THEN
               WRITE(*,*)trim(modname)//' ATTENTION modele peu zoome'
               WRITE(*,*)trim(modname)//' ATTENTION on prend une constante de guidage cste'
@@ -1044,5 +1045,5 @@
               gamma=(dxdy_max-2.*dxdy_min)/(dxdy_max-dxdy_min)
               WRITE(*,*)trim(modname)//' gamma=',gamma
-              if (gamma<1.e-5) THEN
+              IF (gamma<1.e-5) THEN
                 WRITE(*,*)trim(modname)//' gamma =',gamma,'<1e-5'
                 abort_message='stopped'
@@ -1050,5 +1051,5 @@
               endif
               gamma=log(0.5)/log(gamma)
-              if (gamma4) THEN
+              IF (gamma4) THEN
                 gamma=min(gamma,4.)
               endif
@@ -1059,5 +1060,5 @@
         do j=1,pjm
             do i=1,pim
-                if (typ==1) THEN
+                IF (typ==1) THEN
                    dxdy_=dxdys(i,j)
                    zlat=rlatu(j)*180./pi
@@ -1069,5 +1070,5 @@
                    zlat=rlatv(j)*180./pi
                 endif
-                if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) THEN
+                IF (abs(grossismx-1.)<0.1.OR.abs(grossismy-1.)<0.1) THEN
                 ! pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
                     alpha(i,j)=alphamin
@@ -1075,5 +1076,5 @@
                     xi=((dxdy_max-dxdy_)/(dxdy_max-dxdy_min))**gamma
                     xi=min(xi,1.)
-                    IF(lat_min_g<=zlat .and. zlat<=lat_max_g) THEN
+                    IF(lat_min_g<=zlat .AND. zlat<=lat_max_g) THEN
                         alpha(i,j)=xi*alphamin+(1.-xi)*alphamax
                     else
@@ -1085,5 +1086,5 @@
     ENDIF ! guide_reg
 
-    if (.not. guide_add) alpha = 1. - exp(- alpha)
+    IF (.NOT. guide_add) alpha = 1. - exp(- alpha)
 
   END SUBROUTINE tau2alpha
@@ -1113,9 +1114,9 @@
 ! Premier appel: initialisation de la lecture des fichiers
 ! -----------------------------------------------------------------
-    if (first) THEN
+    IF (first) THEN
          ncidpl=-99
          WRITE(*,*) trim(modname)//': opening nudging files '
 ! Niveaux de pression si non constants
-         if (guide_plevs==1) THEN
+         IF (guide_plevs==1) THEN
              WRITE(*,*) trim(modname)//' Reading nudging on model levels'
              rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
@@ -1138,5 +1139,5 @@
 
 ! Pression si guidage sur niveaux P variables
-         if (guide_plevs==2) THEN
+         IF (guide_plevs==2) THEN
              rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
              IF (rcode/=nf90_noerr) THEN
@@ -1150,9 +1151,9 @@
              ENDIF
              WRITE(*,*) trim(modname)//' ncidp,varidp',ncidp,varidp
-             if (ncidpl==-99) ncidpl=ncidp
+             IF (ncidpl==-99) ncidpl=ncidp
          endif
 
 ! Vent zonal
-         if (guide_u) THEN
+         IF (guide_u) THEN
              rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
              IF (rcode/=nf90_noerr) THEN
@@ -1166,5 +1167,5 @@
              ENDIF
              WRITE(*,*) trim(modname)//' ncidu,varidu',ncidu,varidu
-             if (ncidpl==-99) ncidpl=ncidu
+             IF (ncidpl==-99) ncidpl=ncidu
 
              status=nf90_inq_dimid(ncidu, "LONU", dimid)
@@ -1185,5 +1186,5 @@
 
 ! Vent meridien
-         if (guide_v) THEN
+         IF (guide_v) THEN
              rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
              IF (rcode/=nf90_noerr) THEN
@@ -1197,5 +1198,5 @@
              ENDIF
              WRITE(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
-             if (ncidpl==-99) ncidpl=ncidv
+             IF (ncidpl==-99) ncidpl=ncidv
              
              status=nf90_inq_dimid(ncidv, "LONV", dimid)
@@ -1218,5 +1219,5 @@
 
 ! Temperature
-         if (guide_T) THEN
+         IF (guide_T) THEN
              rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
              IF (rcode/=nf90_noerr) THEN
@@ -1230,5 +1231,5 @@
              ENDIF
              WRITE(*,*) trim(modname)//' ncidT,varidT',ncidt,varidt
-             if (ncidpl==-99) ncidpl=ncidt
+             IF (ncidpl==-99) ncidpl=ncidt
 
              status=nf90_inq_dimid(ncidt, "LONV", dimid)
@@ -1249,5 +1250,5 @@
 
 ! Humidite
-         if (guide_Q) THEN
+         IF (guide_Q) THEN
              rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
              IF (rcode/=nf90_noerr) THEN
@@ -1261,5 +1262,5 @@
              ENDIF
              WRITE(*,*) trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
-             if (ncidpl==-99) ncidpl=ncidQ
+             IF (ncidpl==-99) ncidpl=ncidQ
 
              status=nf90_inq_dimid(ncidQ, "LONV", dimid)
@@ -1280,5 +1281,5 @@
 
 ! Pression de surface
-         if ((guide_P).OR.(guide_modele)) THEN
+         IF ((guide_P).OR.(guide_modele)) THEN
              rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
              IF (rcode/=nf90_noerr) THEN
@@ -1294,5 +1295,5 @@
          endif
 ! Coordonnee verticale
-         if (guide_plevs==0) THEN
+         IF (guide_plevs==0) THEN
               rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
               IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
@@ -1300,5 +1301,5 @@
          endif
 ! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         if (guide_plevs==1) THEN
+         IF (guide_plevs==1) THEN
              status=nf90_get_var(ncidpl,varidap,apnc,[1],[nlevnc])
              status=nf90_get_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
@@ -1328,5 +1329,5 @@
 
 ! Pression 
-     if (guide_plevs==2) THEN
+     IF (guide_plevs==2) THEN
          status=nf90_get_var(ncidp,varidp,pnat2,start,count)
          IF (invert_y) THEN
@@ -1338,5 +1339,5 @@
 
 !  Vent zonal
-     if (guide_u) THEN
+     IF (guide_u) THEN
          status=nf90_get_var(ncidu,varidu,unat2,start,count)
          IF (invert_y) THEN
@@ -1346,5 +1347,5 @@
 
 !  Temperature
-     if (guide_T) THEN
+     IF (guide_T) THEN
          status=nf90_get_var(ncidt,varidt,tnat2,start,count)
          IF (invert_y) THEN
@@ -1354,5 +1355,5 @@
 
 !  Humidite
-     if (guide_Q) THEN
+     IF (guide_Q) THEN
          status=nf90_get_var(ncidQ,varidQ,qnat2,start,count)
          IF (invert_y) THEN
@@ -1363,5 +1364,5 @@
 
 !  Vent meridien
-     if (guide_v) THEN
+     IF (guide_v) THEN
          count(2)=jjm
          status=nf90_get_var(ncidv,varidv,vnat2,start,count)
@@ -1372,5 +1373,5 @@
 
 !  Pression de surface
-     if ((guide_P).OR.(guide_modele))  THEN
+     IF ((guide_P).OR.(guide_modele))  THEN
          start(3)=timestep
          start(4)=0
@@ -1413,9 +1414,9 @@
 ! Premier appel: initialisation de la lecture des fichiers
 ! -----------------------------------------------------------------
-    if (first) THEN
+    IF (first) THEN
          ncidpl=-99
          WRITE(*,*)trim(modname)//' : opening nudging files '
 ! Ap et Bp si niveaux de pression hybrides
-         if (guide_plevs==1) THEN
+         IF (guide_plevs==1) THEN
            WRITE(*,*)trim(modname)//' Reading nudging on model levels'
            rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
@@ -1437,5 +1438,5 @@
          endif
 ! Pression
-         if (guide_plevs==2) THEN
+         IF (guide_plevs==2) THEN
            rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
            IF (rcode/=nf90_noerr) THEN
@@ -1449,8 +1450,8 @@
            ENDIF
            WRITE(*,*)trim(modname)//' ncidp,varidp',ncidp,varidp
-           if (ncidpl==-99) ncidpl=ncidp
+           IF (ncidpl==-99) ncidpl=ncidp
          endif
 ! Vent zonal
-         if (guide_u) THEN
+         IF (guide_u) THEN
            rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
            IF (rcode/=nf90_noerr) THEN
@@ -1464,8 +1465,8 @@
            ENDIF
            WRITE(*,*)trim(modname)//' ncidu,varidu',ncidu,varidu
-           if (ncidpl==-99) ncidpl=ncidu
+           IF (ncidpl==-99) ncidpl=ncidu
          endif
 ! Vent meridien
-         if (guide_v) THEN
+         IF (guide_v) THEN
            rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
            IF (rcode/=nf90_noerr) THEN
@@ -1479,8 +1480,8 @@
            ENDIF
            WRITE(*,*)trim(modname)//' ncidv,varidv',ncidv,varidv
-           if (ncidpl==-99) ncidpl=ncidv
+           IF (ncidpl==-99) ncidpl=ncidv
          endif
 ! Temperature
-         if (guide_T) THEN
+         IF (guide_T) THEN
            rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
            IF (rcode/=nf90_noerr) THEN
@@ -1494,8 +1495,8 @@
            ENDIF
            WRITE(*,*)trim(modname)//' ncidT,varidT',ncidt,varidt
-           if (ncidpl==-99) ncidpl=ncidt
+           IF (ncidpl==-99) ncidpl=ncidt
          endif
 ! Humidite
-         if (guide_Q) THEN
+         IF (guide_Q) THEN
            rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
            IF (rcode/=nf90_noerr) THEN
@@ -1509,8 +1510,8 @@
            ENDIF
            WRITE(*,*)trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
-           if (ncidpl==-99) ncidpl=ncidQ
+           IF (ncidpl==-99) ncidpl=ncidQ
          endif
 ! Pression de surface
-         if ((guide_P).OR.(guide_modele)) THEN
+         IF ((guide_P).OR.(guide_modele)) THEN
            rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
            IF (rcode/=nf90_noerr) THEN
@@ -1526,5 +1527,5 @@
          endif
 ! Coordonnee verticale
-         if (guide_plevs==0) THEN
+         IF (guide_plevs==0) THEN
            rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
            IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
@@ -1532,5 +1533,5 @@
          endif
 ! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         if (guide_plevs==1) THEN
+         IF (guide_plevs==1) THEN
              status=nf90_get_var(ncidpl,varidap,apnc,[1],[nlevnc])
              status=nf90_get_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
@@ -1559,5 +1560,5 @@
 
 !  Pression
-     if (guide_plevs==2) THEN
+     IF (guide_plevs==2) THEN
          status=nf90_get_var(ncidp,varidp,zu,start,count)
          DO i=1,iip1
@@ -1572,5 +1573,5 @@
      endif
 !  Vent zonal
-     if (guide_u) THEN
+     IF (guide_u) THEN
          status=nf90_get_var(ncidu,varidu,zu,start,count)
          DO i=1,iip1
@@ -1585,5 +1586,5 @@
 
 !  Temperature
-     if (guide_T) THEN
+     IF (guide_T) THEN
          status=nf90_get_var(ncidt,varidt,zu,start,count)
          DO i=1,iip1
@@ -1598,5 +1599,5 @@
 
 !  Humidite
-     if (guide_Q) THEN
+     IF (guide_Q) THEN
          status=nf90_get_var(ncidQ,varidQ,zu,start,count)
          DO i=1,iip1
@@ -1611,5 +1612,5 @@
 
 !  Vent meridien
-     if (guide_v) THEN
+     IF (guide_v) THEN
          count(2)=jjm
          status=nf90_get_var(ncidv,varidv,zv,start,count)
@@ -1625,5 +1626,5 @@
 
 !  Pression de surface
-     if ((guide_P).OR.(guide_plevs==1))  THEN
+     IF ((guide_P).OR.(guide_plevs==1))  THEN
          start(3)=timestep
          start(4)=0
@@ -1797,8 +1798,8 @@
 !===========================================================================
   SUBROUTINE correctbid(iim,nl,x)
-    integer iim,nl
-    real x(iim+1,nl)
-    integer i,l
-    real zz
+    INTEGER iim,nl
+    REAL x(iim+1,nl)
+    INTEGER i,l
+    REAL zz
 
     do l=1,nl
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5117)
@@ -7,8 +7,8 @@
   USE infotrac,    ONLY: nqtot, niso, iqIsoPha, tracers, getKey, isoName
   USE control_mod, ONLY: day_step,planet_type
-  use exner_hyb_m, ONLY: exner_hyb
-  use exner_milieu_m, ONLY: exner_milieu
+  USE exner_hyb_m, ONLY: exner_hyb
+  USE exner_milieu_m, ONLY: exner_milieu
   USE IOIPSL, ONLY: getin
-  USE Write_Field
+  USE lmdz_write_field
   USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
   USE logic_mod, ONLY: iflag_phys, read_start
@@ -16,6 +16,7 @@
   USE temps_mod, ONLY: annee_ref, day_ini, day_ref
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
-  USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, ONLY: nf90_nowrite,nf90_open,nf90_noerr,nf90_inq_varid,nf90_close,nf90_get_var
+  USE lmdz_readTracFiles, ONLY: addPhase
+  USE netcdf, ONLY: nf90_nowrite,nf90_open,nf90_noerr,nf90_inq_varid,nf90_close,nf90_get_var
+  USE lmdz_ran1, ONLY: ran1
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -56,10 +57,10 @@
   REAL phi(ip1jmp1,llm)                  ! geopotentiel
   REAL ddsin,zsig,tetapv,w_pv  ! variables auxiliaires
-  real tetastrat ! potential temperature in the stratosphere, in K
-  real tetajl(jjp1,llm)
+  REAL tetastrat ! potential temperature in the stratosphere, in K
+  REAL tetajl(jjp1,llm)
   INTEGER i,j,l,lsup,ij, iq, iName, iPhase, iqParent
 
   INTEGER :: nid_relief,varid,ierr
-  real, dimension(iip1,jjp1) :: relief
+  REAL, DIMENSION(iip1,jjp1) :: relief
 
   REAL teta0,ttp,delt_y,delt_z,eps ! Constantes pour profil de T
@@ -69,6 +70,6 @@
   REAL phi_pv,dphi_pv,gam_pv,tetanoise   ! Constantes pour polar vortex 
 
-  real zz,ran1
-  integer idum
+  REAL zz
+  INTEGER idum
 
   REAL zdtvr, tnat, alpha_ideal
@@ -79,5 +80,5 @@
 
   ! Sanity check: verify that options selected by user are not incompatible
-  if ((iflag_phys==1).and. .not. read_start) THEN
+  IF ((iflag_phys==1).AND. .NOT. read_start) THEN
     WRITE(lunout,*) trim(modname)," error: if read_start is set to ", &
     " false then iflag_phys should not be 1"
@@ -85,5 +86,5 @@
     " (iflag_phys >= 100)"
     CALL abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.FALSE.",1)
-  endif
+  ENDIF
   
   !-----------------------------------------------------------------------
@@ -109,8 +110,8 @@
   ang0       = 0.
 
-  if (llm == 1) THEN
+  IF (llm == 1) THEN
      ! specific initializations for the shallow water case
      kappa=1
-  endif
+  ENDIF
 
   CALL iniconst
@@ -136,7 +137,7 @@
      relief=0.
      ierr = nf90_open ('relief_in.nc', nf90_nowrite,nid_relief)
-     if (ierr==nf90_noerr) THEN
+     IF (ierr==nf90_noerr) THEN
          ierr=nf90_inq_varid(nid_relief,'RELIEF',varid)
-         if (ierr==nf90_noerr) THEN
+         IF (ierr==nf90_noerr) THEN
               ierr=nf90_get_var(nid_relief,varid,relief(1:iim,1:jjp1))
               relief(iip1,:)=relief(1,:)
@@ -164,5 +165,5 @@
      CALL pression ( ip1jmp1, ap, bp, ps, p       )
 
-     if (pressure_exner) THEN
+     IF (pressure_exner) THEN
        CALL exner_hyb( ip1jmp1, ps, p, pks, pk)
      else
@@ -172,12 +173,12 @@
   ENDIF
 
-  if (llm == 1) THEN
+  IF (llm == 1) THEN
      ! initialize fields for the shallow water case, if required
-     if (.not.read_start) THEN
+     IF (.NOT.read_start) THEN
         phis(:)=0.
         q(:,:,:)=0
         CALL sw_case_williamson91_6(vcov,ucov,teta,masse,ps)
      endif
-  endif
+  ENDIF
 
   academic_case: if (iflag_phys >= 2) THEN
@@ -249,5 +250,5 @@
            tetajl(j,l)=teta0-delt_y*ddsin*ddsin+eps*ddsin &
                 -delt_z*(1.-ddsin*ddsin)*log(zsig)
-           if (planet_type=="giant") THEN
+           IF (planet_type=="giant") THEN
              tetajl(j,l)=teta0+(delt_y*                   &
                 ((sin(rlatu(j)*3.14159*eps+0.0001))**2)   &
@@ -293,5 +294,5 @@
 
         ! winds
-        if (ok_geost) THEN
+        IF (ok_geost) THEN
            CALL ugeostr(phi,ucov)
         else
@@ -301,5 +302,5 @@
 
         ! bulk initialization of tracers
-        if (planet_type=="earth") THEN
+        IF (planet_type=="earth") THEN
            ! Earth: first two tracers will be water
            do iq=1,nqtot
@@ -311,9 +312,9 @@
               ! distill de Rayleigh très simplifiée
               iName    = tracers(iq)%iso_iName
-              if (niso <= 0 .OR. iName <= 0) CYCLE
+              IF (niso <= 0 .OR. iName <= 0) CYCLE
               iPhase   = tracers(iq)%iso_iPhase
               iqParent = tracers(iq)%iqParent
               IF(tracers(iq)%iso_iZone == 0) THEN
-                 if (tnat1) THEN
+                 IF (tnat1) THEN
                          tnat=1.0
                          alpha_ideal=1.0
@@ -358,5 +359,5 @@
 
      ENDIF ! of IF (.NOT. read_start)
-  endif academic_case
+  ENDIF academic_case
 
 END SUBROUTINE iniacademic
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5117)
@@ -116,12 +116,12 @@
   do jj = 1, jmn + 1
     do j = 1, jmo + 1
-      if((cn(jj)<d(j)).and.(dn(jj)>c(j)))THEN
+      IF((cn(jj)<d(j)).AND.(dn(jj)>c(j)))THEN
         do ii = 1, imn + 1
           do i = 1, imo + 1
-            if (((an(ii)<b(i)).and.(bn(ii)>a(i))) &
-                    .or. ((an(ii)<b(i) - 2 * pi).and.(bn(ii)>a(i) - 2 * pi) &
-                            .and.(b(i) - 2 * pi<-pi)) &
-                    .or. ((an(ii)<b(i) + 2 * pi).and.(bn(ii)>a(i) + 2 * pi) &
-                            .and.(a(i) + 2 * pi>pi)) &
+            IF (((an(ii)<b(i)).AND.(bn(ii)>a(i))) &
+                    .OR. ((an(ii)<b(i) - 2 * pi).AND.(bn(ii)>a(i) - 2 * pi) &
+                            .AND.(b(i) - 2 * pi<-pi)) &
+                    .OR. ((an(ii)<b(i) + 2 * pi).AND.(bn(ii)>a(i) + 2 * pi) &
+                            .AND.(a(i) + 2 * pi>pi)) &
                     )THEN
               ktotal = ktotal + 1
@@ -133,19 +133,19 @@
               dd = min(d(j), dn(jj))
               cc = cn(jj)
-              if (cc< c(j))cc = c(j)
-              if((an(ii)<b(i) - 2 * pi).and. &
+              IF (cc< c(j))cc = c(j)
+              IF((an(ii)<b(i) - 2 * pi).AND. &
                       (bn(ii)>a(i) - 2 * pi)) THEN
                 bb = min(b(i) - 2 * pi, bn(ii))
                 aa = an(ii)
-                if (aa<a(i) - 2 * pi) aa = a(i) - 2 * pi
-              else if((an(ii)<b(i) + 2 * pi).and. &
+                IF (aa<a(i) - 2 * pi) aa = a(i) - 2 * pi
+              ELSE IF((an(ii)<b(i) + 2 * pi).AND. &
                       (bn(ii)>a(i) + 2 * pi)) THEN
                 bb = min(b(i) + 2 * pi, bn(ii))
                 aa = an(ii)
-                if (aa<a(i) + 2 * pi) aa = a(i) + 2 * pi
+                IF (aa<a(i) + 2 * pi) aa = a(i) + 2 * pi
               else
                 bb = min(b(i), bn(ii))
                 aa = an(ii)
-                if (aa<a(i)) aa = a(i)
+                IF (aa<a(i)) aa = a(i)
               end if
               intersec(ktotal) = (bb - aa) * (sin(dd) - sin(cc))
@@ -165,6 +165,6 @@
   !  i = ik(k)
   !  j = jk(k)
-  !  if ((ii.eq.10).and.(jj.eq.10).and.(i.eq.10).and.(j.eq.10))THEN
-  !  if (jj.eq.2.and.(ii.eq.1))THEN
+  !  if ((ii.EQ.10).AND.(jj.EQ.10).AND.(i.EQ.10).AND.(j.EQ.10))THEN
+  !  if (jj.EQ.2.AND.(ii.EQ.1))THEN
   !      WRITE(*,*) '**************** jj=',jj,'ii=',ii
   !      WRITE(*,*) 'i,j =',i,j
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5117)
@@ -6,8 +6,8 @@
         )
 
-  use control_mod, ONLY: planet_type
-  use comconst_mod, ONLY: pi
+  USE control_mod, ONLY: planet_type
+  USE comconst_mod, ONLY: pi
   USE logic_mod, ONLY: leapf
-  use comvert_mod, ONLY: ap, bp
+  USE comvert_mod, ONLY: ap, bp
   USE temps_mod, ONLY: dt
 
@@ -38,25 +38,25 @@
   !   ----------
 
-  integer, intent(in) :: nq ! number of tracers to handle in this routine
-  real, intent(inout) :: vcov(ip1jm, llm) ! covariant meridional wind
-  real, intent(inout) :: ucov(ip1jmp1, llm) ! covariant zonal wind
-  real, intent(inout) :: teta(ip1jmp1, llm) ! potential temperature
-  real, intent(inout) :: q(ip1jmp1, llm, nq) ! advected tracers
-  real, intent(inout) :: ps(ip1jmp1) ! surface pressure
-  real, intent(inout) :: masse(ip1jmp1, llm) ! atmospheric mass
-  real, intent(in) :: phis(ip1jmp1) ! ground geopotential !!! unused
+  INTEGER, INTENT(IN) :: nq ! number of tracers to handle in this routine
+  REAL, INTENT(INOUT) :: vcov(ip1jm, llm) ! covariant meridional wind
+  REAL, INTENT(INOUT) :: ucov(ip1jmp1, llm) ! covariant zonal wind
+  REAL, INTENT(INOUT) :: teta(ip1jmp1, llm) ! potential temperature
+  REAL, INTENT(INOUT) :: q(ip1jmp1, llm, nq) ! advected tracers
+  REAL, INTENT(INOUT) :: ps(ip1jmp1) ! surface pressure
+  REAL, INTENT(INOUT) :: masse(ip1jmp1, llm) ! atmospheric mass
+  REAL, INTENT(IN) :: phis(ip1jmp1) ! ground geopotential !!! unused
   ! values at previous time step
-  real, intent(inout) :: vcovm1(ip1jm, llm)
-  real, intent(inout) :: ucovm1(ip1jmp1, llm)
-  real, intent(inout) :: tetam1(ip1jmp1, llm)
-  real, intent(inout) :: psm1(ip1jmp1)
-  real, intent(inout) :: massem1(ip1jmp1, llm)
+  REAL, INTENT(INOUT) :: vcovm1(ip1jm, llm)
+  REAL, INTENT(INOUT) :: ucovm1(ip1jmp1, llm)
+  REAL, INTENT(INOUT) :: tetam1(ip1jmp1, llm)
+  REAL, INTENT(INOUT) :: psm1(ip1jmp1)
+  REAL, INTENT(INOUT) :: massem1(ip1jmp1, llm)
   ! the tendencies to add
-  real, intent(in) :: dv(ip1jm, llm)
-  real, intent(in) :: du(ip1jmp1, llm)
-  real, intent(in) :: dteta(ip1jmp1, llm)
-  real, intent(in) :: dp(ip1jmp1)
-  real, intent(in) :: dq(ip1jmp1, llm, nq) !!! unused
-  ! real,intent(out) :: finvmaold(ip1jmp1,llm) !!! unused
+  REAL, INTENT(IN) :: dv(ip1jm, llm)
+  REAL, INTENT(IN) :: du(ip1jmp1, llm)
+  REAL, INTENT(IN) :: dteta(ip1jmp1, llm)
+  REAL, INTENT(IN) :: dp(ip1jmp1)
+  REAL, INTENT(IN) :: dq(ip1jmp1, llm, nq) !!! unused
+  ! REAL,INTENT(OUT) :: finvmaold(ip1jmp1,llm) !!! unused
 
   !   Local:
@@ -203,5 +203,5 @@
   !$$$      ENDIF
 
-  if (planet_type=="earth") THEN
+  IF (planet_type=="earth") THEN
     ! Earth-specific treatment of first 2 tracers (water)
     DO l = 1, llm
@@ -238,5 +238,5 @@
     ! CALL  SCOPY( ijp1llm , finvmasse, 1, finvmaold, 1 )
 
-  endif ! of if (planet_type.eq."earth")
+  ENDIF ! of if (planet_type.EQ."earth")
   !
   !
